
#ifndef _WINDOWPROFID_
#define _WINDOWPROFID_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif



/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kProfIDType				'pfid'			// profID window tag
#define kFileSubType			'file'
#define kEmbededSubType			'embd'
#define kHandleSubType			'hndl'


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct ProfIDData
{
	CMProfileIdentifier		**IDHdl ;
	unsigned long			Index ;			// if kEmbededSubType then this tells us which one
	unsigned long			Mode ;

} ProfIDDataRec, *ProfIDDataPtr, **ProfIDDataHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void		winUpdateProfID			( winHandle win, EventRecord *e) ;
void		winClickProfID			( winHandle win, EventRecord *e ) ;
void		winMenuProfID			( winHandle win, long menuResult, Boolean *didit ) ;
void		winUpdateMenusProfID	( winHandle win ) ;
OSErr		winAllocProfID			( winHandle win ) ;
OSErr		winOpenProfID			( winHandle win ) ;
void		winCloseProfID			( winHandle win ) ;
void		winDisposeProfID		( winHandle win ) ;


#endif