// A profile list window
//
// David Hayward 
// Developer Technical Support
// AppleLink: DEVSUPPORT
//
// Copyrite 1995, Apple Computer,Inc
//
// This file contains the getter/setter routines for
// the ProfListDataHdl fields of a profile list window.
// 
// 12/13/94	david	first cut


#include "win.h"
#include "winProfListGetSet.h"


/*------------------------------------------------------------------------------*\
	GetProfListList / SetProfListList
 *------------------------------------------------------------------------------*
		These routines get and set the List field of the ProfListDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
ListHandle GetProfListList ( winHandle win )
{
	ProfListDataHdl	data ;
		data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return nil;
	return (**data).List ;
}
void SetProfListList ( winHandle win, ListHandle list )
{	
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return ;
	(**data).List = list ;
}


/*------------------------------------------------------------------------------*\
	GetProfListSearchRecord / SetProfListSearchRecord
 *------------------------------------------------------------------------------*
		These routines get and set the SearchRecord field of the ProfListDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
CMSearchRecord GetProfListSearchRecord ( winHandle win )
{
	ProfListDataHdl	data ;
	CMSearchRecord	nilSearch = {0,0,0,0,0,0,0,0,0,0};
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return nilSearch;
	return (**data).SearchRecord ;
}
void SetProfListSearchRecord ( winHandle win, CMSearchRecord search )
{	
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return ;
	(**data).SearchRecord = search ;
}


/*------------------------------------------------------------------------------*\
	GetProfListSearchResult / SetProfListSearchResult
 *------------------------------------------------------------------------------*
		These routines get and set the SearchResult field of the ProfListDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
CMProfileSearchRef GetProfListSearchResult ( winHandle win )
{
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return nil;
	return (**data).SearchResult ;
}
void SetProfListSearchResult ( winHandle win, CMProfileSearchRef search )
{	
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return ;
	(**data).SearchResult = search ;
}


/*------------------------------------------------------------------------------*\
	GetProfListCount / SetProfListCount
 *------------------------------------------------------------------------------*
		These routines get and set the Count field of the ProfListDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
unsigned long GetProfListCount ( winHandle win )
{
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return nil;
	return (**data).Count ;
}
void SetProfListCount ( winHandle win, unsigned long count )
{	
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return ;
	(**data).Count = count ;
}


/*------------------------------------------------------------------------------*\
	GetProfListIdentHdl / SetProfListIdentHdl
 *------------------------------------------------------------------------------*
		These routines get and set the IdentHdl field of the ProfListDataHdl
		of the winRecord.
\*------------------------------------------------------------------------------*/
CMProfileIdentifier** GetProfListIdentHdl ( winHandle win )
{
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return nil;
	return (**data).IdentHdl ;
}
void SetProfListIdentHdl ( winHandle win, CMProfileIdentifier** identHdl )
{	
	ProfListDataHdl	data ;
	data = (ProfListDataHdl) GetWinData ( win ) ;
	if ( data==nil ) return ;
	(**data).IdentHdl = identHdl ;
}



