
#ifndef _WINDOWPROFILE_
#define _WINDOWPROFILE_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kProfileType			'Prof'			// profile window tag
#define kFileSubType			'file'
#define kEmbededSubType			'embd'
#define kSysProfSubType			'sysp'


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct ProfileData
{
	CMProfileRef			ProfileRef ;	
	unsigned long			Index ;			// if kEmbededSubType then this tells us which one
	unsigned long			Mode ;

} ProfileDataRec, *ProfileDataPtr, **ProfileDataHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void		winUpdateProfile		( winHandle win, EventRecord *e) ;
void		winClickProfile			( winHandle win, EventRecord *e ) ;
void		winMenuProfile			( winHandle win, long menuResult, Boolean *didit ) ;
void		winUpdateMenusProfile	( winHandle win ) ;
OSErr		winAllocProfile			( winHandle win ) ;
OSErr		winOpenProfile			( winHandle win ) ;
void		winCloseProfile			( winHandle win ) ;
void		winDisposeProfile		( winHandle win ) ;


#endif